<?php 
defined('C5_EXECUTE') or die('Access Denied.');
/**
 *-----------------------------------------------------------------------------*
 * License: Concrete5 marketplace :                                            *
 * http://www.concrete5.org/help/legal/commercial_add-on_license/              *
 *                                                                             *
 * @author (Florian Delizy)                                                    *
 *                                                                             *
 * Copyright(C) 2015 Florian Delizy <florian.delizy@gmail.com>                 *
 *-----------------------------------------------------------------------------*
 */

$form = \Core::make('helper/form');

$fieldName = $this->field('rsID');
$args = array( 'fieldName' => $fieldName, 'rsID' => $rsID );

?>
<fieldset>

	<?php  View::element('select_ruleset', $args, 'gnt_maxmind'); ?>


	<div class="form-group checkbox col-sm-offset-5">
		<div class="row">	
			<label class="col-sm-4">
				<?php echo $form->checkbox($this->field('activated'), 1, $activated )?>
				<?php echo t('Activate redirection')?>
			</label>

			<label class="col-sm-4">
				<?php echo $form->checkbox($this->field('recursive'), 1, $recursive )?>
				<?php echo t('Apply to all child pages') ?>
			</label>

			<label class="col-sm-4 text-warning">
				<?php echo $form->checkbox( $this->field('debug'), 1, $debug )?>
				<?php echo t('Activate debug log' )?>
			</label>
		</div>
	</div>

<?php 



?>
</fieldset>
<?php 
# vim: set noexpandtab ts=4 :
