<?php 
defined('C5_EXECUTE') or die('Access Denied.');
/**
 *-----------------------------------------------------------------------------*
 * License: Concrete5 marketplace :                                            *
 * http://www.concrete5.org/help/legal/commercial_add-on_license/              *
 *                                                                             *
 * @author (Florian Delizy)                                                    *
 *                                                                             *
 * Copyright(C) 2015 Florian Delizy <florian.delizy@gmail.com>                 *
 *-----------------------------------------------------------------------------*
 */
$form = \Core::make('helper/form');

?>

<fieldset>

	<div class="form-group">
		<?php echo $form->label('prompt', t("Known location message:"));?>
		<?php echo $form->textarea('prompt', $prompt);?>
		<div class="help-block">
			<?php echo t("This message will be shown for users whom IP is known in the database, in this message, the following patterns can be used:")?>
			<dl class="dl-horizontal" style="max-height:60px; overflow-y: auto">
				<?php echo View::element('geoloc_patterns', array(), 'gnt_maxmind')?>
			</dl>
		</div>
	</div>

	<div class="form-group">
		<?php echo $form->label('unknownPrompt', t("Unknown location message"));?>
		<?php echo $form->textarea('unknownPrompt', $unknownPrompt);?>
	</div>

	<div class="checkbox">
		<label>
			<?php echo $form->checkbox('redirect', 1, $redirect)?>
			<?php echo t('Redirect visitors based on their location')?>
		</label>
	</div>

	<div id="redirection_rules" <?php echo $redirect ? '' : 'style="display:none"'?> >
		<?php  View::element('select_ruleset', array( 'rsID' => $rsID ), 'gnt_maxmind'); ?>
	</div>

	<script type="text/javascript">
		$(function(){
			$('#redirect').change(function(){
				if ( $(this).is(':checked') ) $('#redirection_rules').show();
				else $('#redirection_rules').hide();
			});
		});
	</script>

</fieldset>

<?php 

// vim: set noexpandtab ts=4 ai :

