<?php 
defined('C5_EXECUTE') or die('Access Denied.');
/**
 *-----------------------------------------------------------------------------*
 * License: Concrete5 marketplace :                                            *
 * http://www.concrete5.org/help/legal/commercial_add-on_license/              *
 *                                                                             *
 * @author (Florian Delizy)                                                    *
 *                                                                             *
 * Copyright(C) 2016 Florian Delizy <florian.delizy@gmail.com>                 *
 *-----------------------------------------------------------------------------*
 */

use Concrete\Package\GntMaxmind\Src\RedirectRuleSet;
//use Page;


$form = \Core::make('helper/form');
$nh = \Core::make('helper/navigation');

if (!$fieldName) {
    $fieldName = 'rsID';
}

$list = RedirectRuleSet::listRuleSets();
if (count($list)) {
    ?>
	<div class="row">
	<?php echo $form->label($fieldName, t('Redirect Rules Set:'), array('class' => 'col-sm-5'));
    ?>
		<div class="col-sm-7"><?php echo $form->select($fieldName, $list, $rsID)?></div>
	</div>
<?php 

} else {

    $page = Page::getByPath('/dashboard/gnt_maxmind/rules');
    $link = $nh->getLinkToCollection($page);
    ?>
	<div class="error">
	<?php echo t("There is currently no redirect ruleset created on your system, before using a ruleset you must create it in the %sRules Dashboard Page%s",
        "<a href=\"$link\">", "</a>")?>
	</div>
<?php 

}

// vim: set noexpandtab ts=4 :

