<?php 
/**
 *-----------------------------------------------------------------------------*
 * License: Concrete5 marketplace :                                            *
 * http://www.concrete5.org/help/legal/commercial_add-on_license/              *
 *                                                                             *
 * Copyright(C) 2015 Florian Delizy <florian.delizy@gmail.com>                 *
 *-----------------------------------------------------------------------------*
 */
namespace Concrete\Package\GntMaxmind\Src;

defined('C5_EXECUTE') or die('Access Denied.');

use Log;

class FilesServiceProvider extends \Concrete\Core\Foundation\Service\Provider
{
    public function register()
    {
        $singletons = array(
            'gnt_maxmind/helpers/file_lister' => 'Concrete\\Package\\GntMaxmind\\Src\\Files\\FileLister',
        );

        foreach ($singletons as $key => $class) {
            if (!$this->app->bound($key)) {
                // prevent duplicates:
                $this->app->singleton($key, $class);
            }
        }
    }
}

